Subject: bug#59934: 28.2; Doc strings of `(kill|delete)-matching-lines'

From: Juanma Barranquero <[email-masked]>
Date: Sat, 10 Dec 2022 00:01:04 +0100

The docstring of `kill-matching-lines' already says (just at the end):

  If you merely want to delete the lines, without adding them to
  the kill ring, the M-x flush-lines command is faster.

but the one for `delete-matching-lines'/`flush-lines' does not mention the
kill- version.

On Fri, Dec 9, 2022 at 11:52 PM Drew Adams <[email-masked]> wrote:

> These two doc strings are _very_ similar.  The two commands are
> presumably nearly the same, the difference being that one kills
> to the `kill-ring' and the other just deletes.
>
> Please consider, in each of these doc strings, adding a reference to the
> other command.  E.g., "See also `<other>-matching-lines', which is
> similar but <summarize the difference>."  That will make uses aware of
> the existence of the other command.  Sometimes users don't consider, or
> aren't even aware, of the difference between the two kinds of deletion.
>
> You might also explicitly point out the use case for `kill-*', e.g.,
> when giving the summary in the "See also": killing lets you subsequently
> yank the matching lines somewhere.  Doesn't hurt to point this out
> briefly.
>
> In GNU Emacs 28.2 (build 2, x86_64-w64-mingw32)
>  of 2022-09-13 built on AVALON
> Windowing system distributor 'Microsoft Corp.', version 10.0.19044
> System Description: Microsoft Windows 10 Pro (v10.0.2009.19044.2251)
>
> Configured using:
>  'configure --with-modules --without-dbus --with-native-compilation
>  --without-compress-install CFLAGS=-O2'
>
> Configured features:
> ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
> NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
> XPM ZLIB
>
> (NATIVE_COMP present but libgccjit not available)
>
>
>
>
>